import { GridLayout, View } from '@nativescript/core';
import { TabContentItem as TabContentItemDefinition } from '.';
import { TabContentItemBase } from './tab-content-item-common';
export * from './tab-content-item-common';
export class TabContentItem extends TabContentItemBase {
    get _hasFragments() {
        return true;
    }
    createNativeView() {
        const layout = new org.nativescript.widgets.GridLayout(this._context);
        layout.addRow(new org.nativescript.widgets.ItemSpec(1, org.nativescript.widgets.GridUnitType.star));
        return layout;
    }
    initNativeView() {
        super.initNativeView();
    }
    _addViewToNativeVisualTree(child, atIndex) {
        if (this.nativeViewProtected && child.nativeViewProtected) {
            GridLayout.setRow(child, 0);
        }
        return super._addViewToNativeVisualTree(child, atIndex);
    }
    disposeNativeView() {
        super.disposeNativeView();
        this.canBeLoaded = false;
    }
}
//# sourceMappingURL=index.android.js.map